GET
/control/v1/deployments

Response Body

application/json

curl -X GET "https://example.com/control/v1/deployments"
{
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "model_source": "platform",
      "model_id": "string",
      "region": "string",
      "performance": "cost_saving",
      "min_replicas": 0,
      "max_replicas": 0,
      "notes": "string",
      "status": "pending_deploy",
      "status_reason": "string",
      "activated_at": "2019-08-24T14:15:22Z",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ]
}
POST
/control/v1/deployments

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/control/v1/deployments" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "model_source": "platform",    "model_id": "string"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "model_source": "platform",
  "model_id": "string",
  "region": "string",
  "performance": "cost_saving",
  "min_replicas": 0,
  "max_replicas": 0,
  "notes": "string",
  "status": "pending_deploy",
  "status_reason": "string",
  "activated_at": "2019-08-24T14:15:22Z",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}
DELETE
/control/v1/deployments/{deployment_id}

Path Parameters

deployment_id*string
Formatuuid

Response Body

application/json

curl -X DELETE "https://example.com/control/v1/deployments/497f6eca-6276-4993-bfeb-53cbbbba6f08"
Empty
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}